
Name: 		qVamps
Version: 	0.98.1
Release: 	%mkrel 1
Summary: 	qVamps is a tool to help backing up DVDs
Group:   	Video
License: 	GPL
URL:     	http://sourceforge.net/projects/vamps/files/
Source:  	%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version
Requires:	libdvdread3
Requires:	mplayer
Requires:	libqt3

%description
Vamps is a tool to help backing up DVDs: Vamps evaporates
DVD compliant MPEG2 program streams by selectively copying
audio and subpicture tracks and by re-quantizing the video
stream. Shrink ratio may be based on video only or on the
full PS.


%prep

%setup -q 


%install

export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %{buildroot}/opt/%{name}

cp -af * %{buildroot}/opt/%{name}/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=qVamps
Exec=/opt/qVamps/bin/qvamps
Icon=%_datadir/icons/cd_burning_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;
EOF



%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root,0755)
/opt/qVamps
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat May 22 2010 Texstar <texstar at gmail.com> 0.98.1-1pclos2010
- initial package

